<?php
session_start();
if (!isset($_SESSION['logged'])) {
    header('Location: index.php');
    exit();
}
?>
<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Forms | Bootstrap Simple Admin Template</title>
    <link href="assets/vendor/fontawesome/css/fontawesome.min.css" rel="stylesheet">
    <link href="assets/vendor/fontawesome/css/solid.min.css" rel="stylesheet">
    <link href="assets/vendor/fontawesome/css/brands.min.css" rel="stylesheet">
    <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="assets/css/master.css" rel="stylesheet">
    <link href="assets/vendor/airdatepicker/css/datepicker.min.css" rel="stylesheet">
    <link href="assets/vendor/mdtimepicker/mdtimepicker.min.css" rel="stylesheet">
</head>

<body>
    <div class="wrapper">
        <!-- sidebar navigation component -->
        <?php include('includes/header.php'); ?>
        <!-- end of navbar navigation -->
        <div class="content">
            <div class="container">
                <div class="page-title">
                    <h3>Captura de nuevo equipo</h3>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header">Dar de alta Equipo</div>
                            <div class="card-body">
                                <h5 class="card-title">A continuación, da de alta el nuevo equipo</h5>
                                <form accept-charset="utf-8" action="actions/save_equipment.php" method="post">
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="control_number">Número de control:</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="control_number" placeholder="Número de control" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="instrumental">Instrumental</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="instrumental" placeholder="Instrumental" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="description">Descripción:</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="description" placeholder="Descripción" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="basic_key">Clave de cuadro básico</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="basic_key" placeholder="Clave de cuadro básico" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="brand">Marca:</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="brand" placeholder="Marca" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="model">Modelo</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="model" placeholder="Modelo" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="serial_number">Número de serie:</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="serial_number" placeholder="Número de serie" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="status" class="form-label col-sm-2">Estatus:</label>
                                        <select name="status" class="form-select col-sm-10" required style="width: auto !important;">
                                            <option value="" selected>[Selecciona]</option>
                                            <option value="1">Activo</option>
                                            <option value="0">Inactivo</option>
                                        </select>
                                    </div>

                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="lifetime">Vida útil:</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="lifetime" placeholder="Vida útil" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="acquired_price">Precio de Compra</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="acquired_price" placeholder="Precio de Compra" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="acquired_date">Fecha de adquisición:</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="acquired_date" class="form-control datepicker-here" data-language="es" aria-describedby="datepicker" placeholder="Fecha de adquisición">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="installed_date">Fecha de instalación:</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="installed_date" class="form-control datepicker-here" data-language="es" aria-describedby="datepicker" placeholder="Fecha de instalación">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="contact_name">Nombre:</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="contact_name" placeholder="Nombre" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label class="col-sm-2 form-label" for="contact">Contacto</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="contact" placeholder="Contacto" class="form-control">
                                            <small class="form-text"></small>
                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <div class="col-sm-10 offset-sm-2">
                                            <input type="submit" class="btn btn-primary" value="Guardar">
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <script src="assets/vendor/jquery/jquery.min.js"></script>
    <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/vendor/airdatepicker/js/datepicker.min.js"></script>
    <script src="assets/vendor/airdatepicker/js/i18n/datepicker.es.js"></script>
    <script src="assets/vendor/mdtimepicker/mdtimepicker.min.js"></script>
    <script src="assets/js/form-validator.js"></script>
    <script src="assets/js/script.js"></script>
</body>

</html>