<?php
session_start();
if (!isset($_SESSION['logged'])) {
  header('Location: index.php');
  exit();
}
include('includes/db.php');
$sql = "SELECT * FROM equipment WHERE status=1";
$result = mysqli_query($conn, $sql);
if (mysqli_num_rows($result) > 0) {
  $equipments = mysqli_fetch_all($result, MYSQLI_ASSOC);
} else {
  $equipments = [];
}
?>
<!doctype html>
<!-- 
* Bootstrap Simple Admin Template
* Version: 2.1
* Author: Alexis Luna
* Website: https://github.com/alexis-luna/bootstrap-simple-admin-template
-->
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Formulario de mantenimiento</title>
  <link href="assets/vendor/fontawesome/css/fontawesome.min.css" rel="stylesheet">
  <link href="assets/vendor/fontawesome/css/solid.min.css" rel="stylesheet">
  <link href="assets/vendor/fontawesome/css/brands.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/css/master.css" rel="stylesheet">
  <link href="assets/vendor/airdatepicker/css/datepicker.min.css" rel="stylesheet">
  <link href="assets/vendor/mdtimepicker/mdtimepicker.min.css" rel="stylesheet">
</head>

<body>
  <div class="wrapper">
    <!-- sidebar navigation component -->
    <?php include('includes/header.php'); ?>
    <!-- end of navbar navigation -->
    <div class="content">
      <div class="container">
        <div class="page-title">
          <h3>Captura de nuevo mantenimiento</h3>
        </div>
        <div class="row">
          <div class="col-lg-12">
            <div class="card">
              <div class="card-header">Dar de alta Mantenimiento</div>
              <div class="card-body">
                <h5 class="card-title">A continuación, da de alta un nuevo mantenimiento para equipo:</h5>
                <form accept-charset="utf-8" action="actions/save_maintainment.php" method="post">
                  <div class="mb-3 row">
                    <label for="device" class="form-label col-sm-2">Equipo:</label>
                    <select name="device" class="form-select col-sm-10" required style="width: auto !important;">
                      <option value="" selected>[Selecciona]</option>
                      <?php foreach ($equipments as $equipment) { ?>
                        <option value="<?php echo $equipment['id']; ?>"><?php echo $equipment['description']; ?></option>
                      <?php } ?>
                    </select>
                  </div>
                  <div class="mb-3 row">
                    <label class="col-sm-2 form-label" for="progress">Progreso:</label>
                    <div class="col-sm-10">
                      <input type="number" name="progress" placeholder="Progreso" class="form-control">
                      <small class="form-text"></small>
                    </div>
                  </div>
                  <div class="mb-3 row">
                    <label class="col-sm-2 form-label" for="start_date">Fecha de inicio:</label>
                    <div class="col-sm-10">
                      <input type="text" name="start_date" class="form-control datepicker-here" data-language="es" aria-describedby="datepicker" placeholder="Fecha de inicio">
                      <small class="form-text"></small>
                    </div>
                  </div>
                  <div class="mb-3 row">
                    <label class="col-sm-2 form-label" for="end_date">Fecha de fin:</label>
                    <div class="col-sm-10">
                      <input type="text" name="end_date" class="form-control datepicker-here" data-language="es" aria-describedby="datepicker" placeholder="Fecha de fin">
                      <small class="form-text"></small>
                    </div>
                  </div>
                  <div class="mb-3 row">
                    <div class="col-sm-10 offset-sm-2">
                      <input type="submit" class="btn btn-primary" value="Guardar">
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
  <script src="assets/vendor/jquery/jquery.min.js"></script>
  <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="assets/vendor/airdatepicker/js/datepicker.min.js"></script>
  <script src="assets/vendor/airdatepicker/js/i18n/datepicker.es.js"></script>
  <script src="assets/vendor/mdtimepicker/mdtimepicker.min.js"></script>
  <script src="assets/js/form-validator.js"></script>
  <script src="assets/js/script.js"></script>
</body>

</html>