<?php
session_start();
if (!isset($_SESSION['logged'])) {
  header('Location: index.php');
  exit();
}
include('includes/db.php');
$sql = "SELECT m.*, e.description FROM pam.maintainment m INNER JOIN pam.equipment e ON m.device_id = e.id;";
$equipment = $conn->query($sql);
$conn->close();
?>
<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>PAM List</title>
  <link href="assets/vendor/fontawesome/css/fontawesome.min.css" rel="stylesheet">
  <link href="assets/vendor/fontawesome/css/solid.min.css" rel="stylesheet">
  <link href="assets/vendor/fontawesome/css/brands.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/datatables/datatables.min.css" rel="stylesheet">
  <link href="assets/css/master.css" rel="stylesheet">
</head>

<body>
  <div class="wrapper">
    <!-- sidebar navigation component -->
    <?php include('includes/header.php'); ?>
    <div class="content">
      <div class="container">
        <?php if (isset($_GET['success'])) {
          if ($_GET['success'] == 1) { ?>
            <div class="alert alert-success" role="alert">Acción realizada con éxito</div>
          <?php } else { ?>
            <div class="alert alert-danger" role="alert">Hubo un problema, revisa con el administrador</div>
        <?php }
        } ?>
        <div class="page-title">
          <h3>PAM</h3>
        </div>
        <div class="row">
          <div class="col-md-12 col-lg-12">
            <div class="card">
              <div class="card-header">Lista de Mantenimientos
                <a href="new_maintainment.php" class="btn btn-sm btn-outline-primary float-end"><i class="fas fa-plus"></i> Agregar</a>
              </div>
              <div class="card-body">
                <p class="card-title"></p>
                <table class="table table-hover" id="dataTables-example" width="100%">
                  <thead>
                    <tr>
                      <th>ID</th>
                      <th>Equipo</th>
                      <th>Progreso</th>
                      <th>Fecha de inicio</th>
                      <th>Fecha de fin</th>
                      <th>Editar</th>
                      <th>Eliminar</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php while ($device = $equipment->fetch_assoc()) { ?>
                      <tr>

                        <td><?php echo $device['id']; ?></td>
                        <td><?php echo $device['description']; ?></td>
                        <td><?php echo $device['progress']; ?></td>
                        <td><?php echo $device['start_date']; ?></td>
                        <td><?php echo $device['end_date']; ?></td>
                        <td><a href="editar_pam.php?id=<?php echo $device['id']; ?>" class="btn btn-primary">Editar</a></td>
                        <td><a href="actions/borrar_pam.php?id=<?php echo $device['id']; ?>" class="btn btn-danger">Eliminar</a></td>
                      </tr>
                    <?php } ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script src="assets/vendor/jquery/jquery.min.js"></script>
  <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="assets/vendor/datatables/datatables.min.js"></script>
  <script src="assets/js/initiate-datatables.js"></script>
  <script src="assets/js/script.js"></script>
</body>

</html>